Bug 542980

Summary: QEMU dumps core when hotplugging a PCI device if no more slots are available
Product: [Fedora] Fedora Reporter: Daniel Berrange <berrange>
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: berrange, dwmw2, gcosta, itamar, jaswinder, jforbes, markmc, quintela, virt-maint
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 21:28:01 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 514891    

Description Daniel Berrange 2009-12-01 06:41:49 EST
Description of problem:
QEMU dumps core when hotplugging a PCI device if no more slots are available, eg try and plug in the 33rd  PCI device 

It should return a error 'no more device slots available' to the monitor client, not dump core.


Version-Release number of selected component (if applicable):
qemu-0.11.0-11.fc12.i686

How reproducible:
Always

Steps to Reproduce:
1.$ qemu-kvm -monitor stdio
QEMU 0.11.0 monitor - type 'help' for more information
(qemu) pci
pci_add   pci_del   
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 5, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 6, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 7, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 8, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 9, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 10, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 11, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 12, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 13, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 14, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 15, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 16, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 17, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 18, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 19, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 20, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 21, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 22, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 23, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 24, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 25, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 26, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 27, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 28, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 29, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 30, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
OK domain 0, bus 0, slot 31, function 0
(qemu) pci_add pci_addr=auto storage if=scsi
qemu-kvm: /builddir/build/BUILD/qemu-kvm-0.11.0/hw/pci.c:1039: pci_qdev_init: Assertion `pci_dev' failed.
Aborted (core dumped)

  
Actual results:
Dumps core

Expected results:
Returns an error message to monitor client gracefully

Additional info:
Comment 1 Justin M. Forbes 2009-12-01 11:03:26 EST
Thanks for the report.
Comment 2 Fedora Admin XMLRPC Client 2010-03-09 12:19:24 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Bug Zapper 2010-11-04 00:46:25 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 21:28:01 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.